%define target arm-gp2x-linux
%define target_prefix %{_prefix}/%{target}

Name:           %{target}-zlib
Version:        1.2.3
Release:        6%{?dist}
License:        zlib
Group:          Development/Libraries
Summary:        Cross Compiled zlib Library targeted at %{target}
URL:            http://www.gzip.org/zlib/
Source0:        http://downloads.sourceforge.net/libpng/zlib-%{version}.tar.bz2
Patch0:         zlib-1.2.3-autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildRequires:  %{target}-gcc libtool
BuildArch:      noarch
Requires:       %{target}-glibc

%description
This is a Cross Compiled version of the zlib Library, which can be used to
compile and link zlib using applications for the %{target} platform,
instead of for the native %{_arch} platform.


%prep
%setup -q -n zlib-%{version}
%patch0 -p1
autoreconf -i


%build
./configure --prefix=%{target_prefix} --build=`./config.guess` --host=%{target}
make  %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{target_prefix}/lib/libz.la
# the autoxxx makefile doesn't install the headers
mkdir $RPM_BUILD_ROOT%{target_prefix}/include
install -p -m 644 zconf.h zlib.h $RPM_BUILD_ROOT%{target_prefix}/include

# despite us being noarch redhat-rpm-config insists on stripping our files
# and on running find-debuginfo.sh on our files
%define __debug_install_post %{nil}
%define __os_install_post /usr/lib/rpm/redhat/brp-compress

# stop rpm from claiming we provide and need native .so files <sigh>
%define _use_internal_dependency_generator 0
%define __find_requires %{nil}
%define __find_provides %{nil}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc ChangeLog FAQ README
%{target_prefix}/include/z*.h
%{target_prefix}/lib/libz*


%changelog
* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.3-6
- Use autotool patch from native zlib

* Sat Aug  4 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.3-5
- Add missing %%defattr to %%files
- Update License tag for new Licensing Guidelines compliance
- Do NOT provide and require native .so files <sigh>

* Fri Jun 08 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.3-4
- Various specfile cleanups / improvements

* Thu Jun 02 2007 Koos Termeulen <koostermeulen@gmail.com> 1.2.3-3
- Minor changes in flags and build
- Improved flagging

* Thu Jun 01 2007 Koos Termeulen <koostermeulen@gmail.com> 1.2.3-2.fc6
- Removed patch, I don't think we need it, correct me if I'm wrong
- Replaced build and install with dual install for static and shared library

* Thu May 10 2007 Emmanuel Chebesi <4thaLord@gmail.com> 1.2.3-1.fc6
- Build for arm-gp2x arch
